#include <bits/stdc++.h>

using namespace std;

string n;
int ucestalost[10], brojevi_izmedju[10], k;

int ucvrsti(string a, int k)
{
    int cif = int(a[a.length() - 1]) - 48;
    if(cif == -48) return k;

    if(ucestalost[cif] && brojevi_izmedju[cif])
    {
        int niz = 1;
        a.pop_back();
        while(1)
        {
            if(a.length() && int(a[a.length() - 1]) - 48 == cif)
            {
                niz++;
                a.pop_back();
            }
            else break;
        }

        if(niz + ucestalost[cif] > brojevi_izmedju[cif])
        {
            k += brojevi_izmedju[cif];
        }
        else
        {
            k += niz + ucestalost[cif];
        }

        ucestalost[cif] = 0;
        brojevi_izmedju[cif] = 0;
    }

    ucestalost[cif]++;
    for(int i = 0; i < 10; i++)
    {
        brojevi_izmedju[i]++;
    }
    brojevi_izmedju[cif]--;

    n.pop_back();
    ucvrsti(n, k);
}

int main()
{
    getline(cin, n);

    k = ucvrsti(n, 0);
    cout << k;
}